#services4 {
    background-color: #e4e4e4;
    background-image: url('../../images/backgrounds/bg_servicos4.jpg');
    background-size: cover;
    background-position: right;
    background-repeat: no-repeat;
    min-height: 100vh;
    display: flex;
    align-items: center;
}

#services4 h2 {
    font-weight: 500;
    margin-bottom: 40px;
}

#services4 h4 {
    margin-bottom: 20px;
    font-weight: 600;
}

.d-flex {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

/* Flip Card */

#services4 .flip-card {
    background-color: transparent;
    width: 300px;
    height: 300px;
    perspective: 1000px;
    /* Cria o efeito 3D */
    margin-bottom: 20px;
    user-select: none;
}

#services4 .flip-card-inner {
    position: relative;
    width: 100%;
    height: 100%;
    text-align: center;
    transition: transform 0.8s;
    transform-style: preserve-3d;
}

#services4 .flip-card:hover .flip-card-inner {
    transform: rotateY(180deg);
    /* Efeito de flip ao passar o mouse */
}

#services4 .flip-card-front,
#services4 .flip-card-back {
    position: absolute;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#services4 .flip-card-front {
    color: #333;
    background-color: rgba(255, 255, 255, 0.7);
}

#services4 .flip-card-back {
    color: #333;
    transform: rotateY(180deg);
    background-color: rgba(255, 255, 255, 1);
}

#services4 .testimonial-img {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    margin-bottom: 10px;
}

#services4 .flip-card-front h4 {
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 10px;
}

#services4 .flip-card-front p {
    font-size: 14px;
}

#services4 .flip-card-back p {
    font-size: 14px;
    padding: 20px;
    text-align: justify;
}

#services4 .stars i {
    font-size: 15px;
    background: linear-gradient(45deg, #FFD700, #FFA500);
    color: transparent;
    background-clip: text;
    display: inline-block;
    position: relative;
    margin-bottom: 10px;
}

/* Carrossel */
#services4 .carousel-item {
    padding: 25px 0;
    justify-content: center;
}

#services4 .carousel-item img {
    max-height: 100px;
    margin: 5px 10px;
    transition: transform 0.3s ease, opacity 0.3s ease;
    opacity: 0.8;
}

#services4 .carousel-item img:hover {
    transform: scale(1.15);
    opacity: 1;
}

#services4 .carousel-control-prev {
    left: -30px;
    /* Move a seta para a esquerda */
}

#services4 .carousel-control-next {
    right: -30px;
    /* Move a seta para a direita */
}

#services4 .carousel-control-prev-icon,
#services4 .carousel-control-next-icon {
    background-color: transparent;
    /* Remove o fundo */
    border-radius: 0;
    /* Remove a borda circular */
    width: 20px;
    /* Reduz a largura */
    height: 20px;
    /* Reduz a altura */
    filter: invert(50%);
    /* Deixa as setas em cinza */
}

#services4 .carousel-control-prev-icon:hover,
#services4 .carousel-control-next-icon:hover {
    filter: invert(30%);
    /* Escurece a seta no hover */
}

#services4 .carousel-control-prev,
#services4 .carousel-control-next {
    top: 50%;
    transform: translateY(-50%);
    /* Centraliza verticalmente */
}

.carousel-inner {
    user-select: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
}